Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/studylevelpage.pt
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/studylevelpage.pt	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/studylevelpage.pt	(revision 7811)
@@ -1,3 +1,3 @@
-<table class="form-table" i18n:domain="waeup.sirp">
+<table class="form-table" i18n:domain="waeup.kofa">
   <thead>
   </thead>
@@ -26,7 +26,7 @@
 </table>
 
-<h3 i18n:domain="waeup.sirp" i18n:translate="">Course Tickets</h3>
+<h3 i18n:domain="waeup.kofa" i18n:translate="">Course Tickets</h3>
 
-<table class="display dataTable" i18n:domain="waeup.sirp">
+<table class="display dataTable" i18n:domain="waeup.kofa">
   <thead>
     <tr>
@@ -62,5 +62,5 @@
 
 
-<div i18n:domain="waeup.sirp"
+<div i18n:domain="waeup.kofa"
   tal:condition="python: not len(context.keys())" i18n:translate="">
   The're no tickets added yet.
Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/catalog.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/catalog.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/catalog.py	(revision 7811)
@@ -24,9 +24,9 @@
 from zope.catalog.interfaces import ICatalog
 from zope.component import queryUtility
-from waeup.sirp.interfaces import (
+from waeup.kofa.interfaces import (
     IUniversity, IQueryResultItem, academic_sessions_vocab)
-from waeup.sirp.students.interfaces import (IStudent, ICourseTicket,
+from waeup.kofa.students.interfaces import (IStudent, ICourseTicket,
     IStudentOnlinePayment)
-from waeup.sirp.university.vocabularies import course_levels
+from waeup.kofa.university.vocabularies import course_levels
 
 class StudentIndexes(grok.Indexes):
Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/container.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/container.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/container.py	(revision 7811)
@@ -20,7 +20,7 @@
 """
 import grok
-from waeup.sirp.students.interfaces import (
+from waeup.kofa.students.interfaces import (
     IStudentsContainer, IStudent)
-from waeup.sirp.utils.logger import Logger
+from waeup.kofa.utils.logger import Logger
 
 class StudentsContainer(grok.Container, Logger):
@@ -46,5 +46,5 @@
         return
 
-    logger_name = 'waeup.sirp.${sitename}.students'
+    logger_name = 'waeup.kofa.${sitename}.students'
     logger_filename = 'students.log'
 
Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/dynamicroles.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/dynamicroles.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/dynamicroles.py	(revision 7811)
@@ -27,5 +27,5 @@
     AnnotationPrincipalPermissionManager,)
 from zope.securitypolicy.principalrole import AnnotationPrincipalRoleManager
-from waeup.sirp.students.interfaces import IStudent
+from waeup.kofa.students.interfaces import IStudent
 
 # All components in here have the same context: Student instances
Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/interfaces.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/interfaces.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/interfaces.py	(revision 7811)
@@ -21,15 +21,15 @@
 from zope import schema
 from zc.sourcefactory.contextual import BasicContextualSourceFactory
-from waeup.sirp.interfaces import (
-    ISIRPObject, academic_sessions_vocab, validate_email, ISIRPUtils)
-from waeup.sirp.interfaces import MessageFactory as _
-from waeup.sirp.schema import TextLineChoice
-from waeup.sirp.university.vocabularies import CourseSource, StudyModeSource
-from waeup.sirp.students.vocabularies import (
+from waeup.kofa.interfaces import (
+    IKOFAObject, academic_sessions_vocab, validate_email, IKOFAUtils)
+from waeup.kofa.interfaces import MessageFactory as _
+from waeup.kofa.schema import TextLineChoice
+from waeup.kofa.university.vocabularies import CourseSource, StudyModeSource
+from waeup.kofa.students.vocabularies import (
   CertificateSource, StudyLevelSource,
   contextual_reg_num_source, contextual_mat_num_source,
   GenderSource, nats_vocab,
   )
-from waeup.sirp.payments.interfaces import IPaymentsContainer, IOnlinePayment
+from waeup.kofa.payments.interfaces import IPaymentsContainer, IOnlinePayment
 
 # VerdictSource can't be placed into the vocabularies module because it
@@ -78,5 +78,5 @@
         """
 
-class IStudentsContainer(ISIRPObject):
+class IStudentsContainer(IKOFAObject):
     """A students container contains university students.
 
@@ -117,5 +117,5 @@
         """
 
-class IStudentNavigation(ISIRPObject):
+class IStudentNavigation(IKOFAObject):
     """Interface needed for student navigation.
 
@@ -126,5 +126,5 @@
         """
 
-class IStudentBase(ISIRPObject):
+class IStudentBase(IKOFAObject):
     """Representation of student base data.
 
@@ -206,5 +206,5 @@
         )
 
-class IStudentClearance(ISIRPObject):
+class IStudentClearance(IKOFAObject):
     """Representation of student clearance data.
 
@@ -234,5 +234,5 @@
         )
 
-class IStudentPersonal(ISIRPObject):
+class IStudentPersonal(IKOFAObject):
     """Representation of student personal data.
 
@@ -268,5 +268,5 @@
         )
 
-class IStudentStudyCourse(ISIRPObject):
+class IStudentStudyCourse(IKOFAObject):
     """A container for student study levels.
 
@@ -326,5 +326,5 @@
         )
 
-class IStudentStudyLevel(ISIRPObject):
+class IStudentStudyLevel(IKOFAObject):
     """A container for course tickets.
 
@@ -348,5 +348,5 @@
         )
 
-class ICourseTicket(ISIRPObject):
+class ICourseTicket(IKOFAObject):
     """A course ticket.
 
@@ -406,10 +406,10 @@
         )
 
-class IStudentAccommodation(ISIRPObject):
+class IStudentAccommodation(IKOFAObject):
     """A container for student accommodation objects.
 
     """
 
-class IBedTicket(ISIRPObject):
+class IBedTicket(IKOFAObject):
     """A ticket for accommodation booking.
 
@@ -475,5 +475,5 @@
     'p_item'].order
 
-class IStudentChangePassword(ISIRPObject):
+class IStudentChangePassword(IKOFAObject):
     """Interface needed for change pasword page.
 
Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/payments.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/payments.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/payments.py	(revision 7811)
@@ -22,8 +22,8 @@
 from zope.component.interfaces import IFactory
 from zope.interface import implementedBy
-from waeup.sirp.students.interfaces import (
+from waeup.kofa.students.interfaces import (
     IStudentPaymentsContainer, IStudentNavigation, IStudentOnlinePayment)
-from waeup.sirp.payments import PaymentsContainer, OnlinePayment
-from waeup.sirp.utils.helpers import attrs_to_fields
+from waeup.kofa.payments import PaymentsContainer, OnlinePayment
+from waeup.kofa.utils.helpers import attrs_to_fields
 
 class StudentPaymentsContainer(PaymentsContainer):
Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/student.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/student.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/student.py	(revision 7811)
@@ -26,15 +26,15 @@
 from hurry.workflow.interfaces import IWorkflowState, IWorkflowInfo
 from zope.securitypolicy.interfaces import IPrincipalRoleManager
-from waeup.sirp.interfaces import (
+from waeup.kofa.interfaces import (
     IObjectHistory, IUserAccount, IFileStoreNameChooser, IFileStoreHandler,
-    ISIRPUtils, CLEARANCE, registration_states_vocab)
-from waeup.sirp.image import SIRPImageFile
-from waeup.sirp.imagestorage import DefaultFileStoreHandler
-from waeup.sirp.students.interfaces import IStudent, IStudentNavigation
-from waeup.sirp.students.studycourse import StudentStudyCourse
-from waeup.sirp.students.payments import StudentPaymentsContainer
-from waeup.sirp.students.accommodation import StudentAccommodation
-from waeup.sirp.utils.helpers import attrs_to_fields
-from waeup.sirp.students.utils import generate_student_id
+    IKOFAUtils, CLEARANCE, registration_states_vocab)
+from waeup.kofa.image import KOFAImageFile
+from waeup.kofa.imagestorage import DefaultFileStoreHandler
+from waeup.kofa.students.interfaces import IStudent, IStudentNavigation
+from waeup.kofa.students.studycourse import StudentStudyCourse
+from waeup.kofa.students.payments import StudentPaymentsContainer
+from waeup.kofa.students.accommodation import StudentAccommodation
+from waeup.kofa.utils.helpers import attrs_to_fields
+from waeup.kofa.students.utils import generate_student_id
 
 class Student(grok.Container):
@@ -63,6 +63,6 @@
     def display_fullname(self):
         middlename = getattr(self, 'middlename', None)
-        sirp_utils = getUtility(ISIRPUtils)
-        return sirp_utils.fullname(self.firstname, self.lastname, middlename)
+        kofa_utils = getUtility(IKOFAUtils)
+        return kofa_utils.fullname(self.firstname, self.lastname, middlename)
 
     @property
@@ -204,5 +204,5 @@
 
     This chooser is registered as an adapter providing
-    :class:`waeup.sirp.interfaces.IFileStoreNameChooser`.
+    :class:`waeup.kofa.interfaces.IFileStoreNameChooser`.
 
     File store name choosers like this one are only convenience
@@ -211,5 +211,5 @@
     manually setting up filenames for students.
 
-    .. seealso:: :mod:`waeup.sirp.imagestorage`
+    .. seealso:: :mod:`waeup.kofa.imagestorage`
 
     """
@@ -284,4 +284,4 @@
             StudentFileStoreHandler, self).createFile(
             store, root,  filename, file_id, file)
-        return file, path, SIRPImageFile(
+        return file, path, KOFAImageFile(
             file_obj.filename, file_obj.data)
Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/studycourse.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/studycourse.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/studycourse.py	(revision 7811)
@@ -23,8 +23,8 @@
 from zope.component.interfaces import IFactory
 from zope.interface import implementedBy
-from waeup.sirp.students.interfaces import (
+from waeup.kofa.students.interfaces import (
     IStudentStudyCourse, IStudentNavigation, IStudentStudyLevel)
-from waeup.sirp.students.studylevel import CourseTicket
-from waeup.sirp.utils.helpers import attrs_to_fields
+from waeup.kofa.students.studylevel import CourseTicket
+from waeup.kofa.utils.helpers import attrs_to_fields
 
 class StudentStudyCourse(grok.Container):
Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/studylevel.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/studylevel.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/studylevel.py	(revision 7811)
@@ -22,8 +22,8 @@
 import grok
 from zope.component.interfaces import IFactory
-from waeup.sirp.students.interfaces import (
+from waeup.kofa.students.interfaces import (
     IStudentStudyLevel, IStudentNavigation, ICourseTicket)
-from waeup.sirp.utils.helpers import attrs_to_fields
-from waeup.sirp.students.vocabularies import StudyLevelSource
+from waeup.kofa.utils.helpers import attrs_to_fields
+from waeup.kofa.students.vocabularies import StudyLevelSource
 
 class StudentStudyLevel(grok.Container):
Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_authentication.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_authentication.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_authentication.py	(revision 7811)
@@ -26,10 +26,10 @@
 from zope.securitypolicy.role import Role
 from zope.securitypolicy.interfaces import IRole, Allow
-from waeup.sirp.authentication import get_principal_role_manager
-from waeup.sirp.interfaces import IAuthPluginUtility, IUserAccount
-from waeup.sirp.students.authentication import (
+from waeup.kofa.authentication import get_principal_role_manager
+from waeup.kofa.interfaces import IAuthPluginUtility, IUserAccount
+from waeup.kofa.students.authentication import (
     StudentsAuthenticatorSetup, StudentAccount)
-from waeup.sirp.students.tests.test_browser import StudentsFullSetup
-from waeup.sirp.testing import FunctionalLayer
+from waeup.kofa.students.tests.test_browser import StudentsFullSetup
+from waeup.kofa.testing import FunctionalLayer
 
 class StudentsAuthenticatorSetupTests(unittest.TestCase):
Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_batching.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_batching.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_batching.py	(revision 7811)
@@ -28,14 +28,14 @@
 from zope.interface.verify import verifyClass, verifyObject
 
-from waeup.sirp.app import University
-from waeup.sirp.university.faculty import Faculty
-from waeup.sirp.university.department import Department
-from waeup.sirp.students.batching import (
+from waeup.kofa.app import University
+from waeup.kofa.university.faculty import Faculty
+from waeup.kofa.university.department import Department
+from waeup.kofa.students.batching import (
     StudentProcessor, StudentStudyCourseProcessor,
     StudentStudyLevelProcessor, CourseTicketProcessor,
     StudentOnlinePaymentProcessor)
-from waeup.sirp.students.student import Student
-from waeup.sirp.testing import FunctionalLayer, FunctionalTestCase
-from waeup.sirp.interfaces import IBatchProcessor
+from waeup.kofa.students.student import Student
+from waeup.kofa.testing import FunctionalLayer, FunctionalTestCase
+from waeup.kofa.interfaces import IBatchProcessor
 
 STUDENT_SAMPLE_DATA = open(
Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py	(revision 7811)
@@ -33,14 +33,14 @@
 from zope.testbrowser.testing import Browser
 from hurry.workflow.interfaces import IWorkflowInfo, IWorkflowState
-from waeup.sirp.testing import FunctionalLayer, FunctionalTestCase
-from waeup.sirp.app import University
-from waeup.sirp.configuration import SessionConfiguration
-from waeup.sirp.students.student import Student
-from waeup.sirp.students.studylevel import StudentStudyLevel
-from waeup.sirp.university.faculty import Faculty
-from waeup.sirp.university.department import Department
-from waeup.sirp.interfaces import IUserAccount
-from waeup.sirp.authentication import LocalRoleSetEvent
-from waeup.sirp.hostels.hostel import Hostel, Bed, NOT_OCCUPIED
+from waeup.kofa.testing import FunctionalLayer, FunctionalTestCase
+from waeup.kofa.app import University
+from waeup.kofa.configuration import SessionConfiguration
+from waeup.kofa.students.student import Student
+from waeup.kofa.students.studylevel import StudentStudyLevel
+from waeup.kofa.university.faculty import Faculty
+from waeup.kofa.university.department import Department
+from waeup.kofa.interfaces import IUserAccount
+from waeup.kofa.authentication import LocalRoleSetEvent
+from waeup.kofa.hostels.hostel import Hostel, Bed, NOT_OCCUPIED
 
 PH_LEN = 2059  # Length of placeholder file
Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_catalog.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_catalog.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_catalog.py	(revision 7811)
@@ -23,10 +23,10 @@
 from zope.component import queryUtility, createObject
 from zope.component.hooks import setSite
-from waeup.sirp.app import University
-from waeup.sirp.testing import FunctionalLayer, FunctionalTestCase
-from waeup.sirp.students.student import Student
-from waeup.sirp.students.studylevel import StudentStudyLevel, CourseTicket
-from waeup.sirp.university.faculty import Faculty
-from waeup.sirp.university.department import Department
+from waeup.kofa.app import University
+from waeup.kofa.testing import FunctionalLayer, FunctionalTestCase
+from waeup.kofa.students.student import Student
+from waeup.kofa.students.studylevel import StudentStudyLevel, CourseTicket
+from waeup.kofa.university.faculty import Faculty
+from waeup.kofa.university.department import Department
 
 class CatalogTestSetup(FunctionalTestCase):
Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_container.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_container.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_container.py	(revision 7811)
@@ -23,13 +23,13 @@
 from zope.interface.verify import verifyClass, verifyObject
 from zope.component.hooks import setSite, clearSite
-from waeup.sirp.app import University
-from waeup.sirp.university.department import Department
-from waeup.sirp.students.interfaces import (
+from waeup.kofa.app import University
+from waeup.kofa.university.department import Department
+from waeup.kofa.students.interfaces import (
     IStudentsContainer,
     )
-from waeup.sirp.students.container import (
+from waeup.kofa.students.container import (
     StudentsContainer, 
     )
-from waeup.sirp.testing import (
+from waeup.kofa.testing import (
     FunctionalLayer, FunctionalTestCase, remove_logger)
 
@@ -39,5 +39,5 @@
 
     def setUp(self):
-        remove_logger('waeup.sirp.app.students')
+        remove_logger('waeup.kofa.app.students')
         super(StudentsContainerTestCase, self).setUp()
         # Setup a sample site for each test
@@ -86,5 +86,5 @@
         logger = self.app['students'].logger
         assert logger is not None
-        assert logger.name == 'waeup.sirp.app.students'
+        assert logger.name == 'waeup.kofa.app.students'
         handlers = logger.handlers
         assert len(handlers) == 1
@@ -100,5 +100,5 @@
         logger = self.app['students'].logger
         assert logger is not None
-        assert logger.name == 'waeup.sirp.app.students'
+        assert logger.name == 'waeup.kofa.app.students'
         handlers = logger.handlers
         assert len(handlers) == 1
Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_dynamicroles.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_dynamicroles.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_dynamicroles.py	(revision 7811)
@@ -24,7 +24,7 @@
 from zope.securitypolicy.tests.test_annotationprincipalrolemanager import (
     Test as APRMTest, Manageable)
-from waeup.sirp.testing import FunctionalLayer
-from waeup.sirp.students.tests.test_browser import StudentsFullSetup
-from waeup.sirp.students import Student, StudentPrincipalRoleManager
+from waeup.kofa.testing import FunctionalLayer
+from waeup.kofa.students.tests.test_browser import StudentsFullSetup
+from waeup.kofa.students import Student, StudentPrincipalRoleManager
 
 class StudentPrincipalRoleManagerTests(APRMTest):
Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_payment.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_payment.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_payment.py	(revision 7811)
@@ -20,9 +20,9 @@
 """
 
-from waeup.sirp.testing import FunctionalLayer, FunctionalTestCase
-from waeup.sirp.students.payments import (
+from waeup.kofa.testing import FunctionalLayer, FunctionalTestCase
+from waeup.kofa.students.payments import (
     StudentOnlinePayment, StudentOnlinePaymentFactory)
-from waeup.sirp.payments.interfaces import IOnlinePayment
-from waeup.sirp.students.interfaces import IStudentNavigation
+from waeup.kofa.payments.interfaces import IOnlinePayment
+from waeup.kofa.students.interfaces import IStudentNavigation
 
 class StudentOnlinePaymentFactoryTest(FunctionalTestCase):
Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_student.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_student.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_student.py	(revision 7811)
@@ -20,15 +20,15 @@
 from zope.component.interfaces import IFactory
 from zope.interface import verify
-from waeup.sirp.students.student import Student, StudentFactory
-from waeup.sirp.students.studycourse import StudentStudyCourse
-from waeup.sirp.students.studylevel import StudentStudyLevel, CourseTicket
-from waeup.sirp.students.payments import StudentPaymentsContainer
-from waeup.sirp.students.accommodation import StudentAccommodation, BedTicket
-from waeup.sirp.applicants.interfaces import IApplicantBaseData
-from waeup.sirp.students.interfaces import (
+from waeup.kofa.students.student import Student, StudentFactory
+from waeup.kofa.students.studycourse import StudentStudyCourse
+from waeup.kofa.students.studylevel import StudentStudyLevel, CourseTicket
+from waeup.kofa.students.payments import StudentPaymentsContainer
+from waeup.kofa.students.accommodation import StudentAccommodation, BedTicket
+from waeup.kofa.applicants.interfaces import IApplicantBaseData
+from waeup.kofa.students.interfaces import (
     IStudent, IStudentStudyCourse, IStudentPaymentsContainer, IStudentAccommodation,
     IStudentStudyLevel, ICourseTicket, IBedTicket)
-from waeup.sirp.testing import FunctionalLayer, FunctionalTestCase
-from waeup.sirp.university.department import Department
+from waeup.kofa.testing import FunctionalLayer, FunctionalTestCase
+from waeup.kofa.university.department import Department
 
 class StudentTest(FunctionalTestCase):
Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_utils.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_utils.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_utils.py	(revision 7811)
@@ -1,5 +1,5 @@
 # -*- coding: utf-8 -*-
 import unittest
-from waeup.sirp.students.utils import formatted_text
+from waeup.kofa.students.utils import formatted_text
 
 class FormatterTests(unittest.TestCase):
Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_vocabularies.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_vocabularies.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_vocabularies.py	(revision 7811)
@@ -17,6 +17,6 @@
 ##
 import unittest
-from waeup.sirp.students.vocabularies import StudyLevelSource
-from waeup.sirp.university.certificate import Certificate
+from waeup.kofa.students.vocabularies import StudyLevelSource
+from waeup.kofa.university.certificate import Certificate
 
 
Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/utils.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/utils.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/utils.py	(revision 7811)
@@ -35,7 +35,7 @@
 from zope.component import getUtility
 from zope.formlib.form import setUpEditWidgets
-from waeup.sirp.interfaces import IExtFileStore, ISIRPUtils
-from waeup.sirp.interfaces import MessageFactory as _
-from waeup.sirp.students.interfaces import IStudentsUtils
+from waeup.kofa.interfaces import IExtFileStore, IKOFAUtils
+from waeup.kofa.interfaces import MessageFactory as _
+from waeup.kofa.students.interfaces import IStudentsUtils
 
 SLIP_STYLE = [
@@ -108,15 +108,15 @@
         studentview.context, attr='passport.jpg')
     if img is None:
-        from waeup.sirp.browser import DEFAULT_PASSPORT_IMAGE_PATH
+        from waeup.kofa.browser import DEFAULT_PASSPORT_IMAGE_PATH
         img = open(DEFAULT_PASSPORT_IMAGE_PATH, 'rb')
     doc_img = Image(img.name, width=4*cm, height=4*cm, kind='bound')
     data_left.append([doc_img])
     #data.append([Spacer(1, 12)])
-    portal_language = getUtility(ISIRPUtils).PORTAL_LANGUAGE
+    portal_language = getUtility(IKOFAUtils).PORTAL_LANGUAGE
     for widget in studentview.widgets:
         if widget.name == 'form.adm_code':
             continue
         f_label = formatted_label(size=12) % translate(
-            widget.label.strip(), 'waeup.sirp',
+            widget.label.strip(), 'waeup.kofa',
             target_language=portal_language)
         f_label = Paragraph(f_label, style["Normal"])
@@ -164,8 +164,8 @@
       story = []
       frame_footer = Frame(1*cm,0,width-(2*cm),1*cm)
-      portal_language = getUtility(ISIRPUtils).PORTAL_LANGUAGE
+      portal_language = getUtility(IKOFAUtils).PORTAL_LANGUAGE
       right_text = translate(_('<font size=10>${a} Page ${b} of ${c}</font>',
           mapping = {'a':text, 'b':pdf.getPageNumber(), 'c':number_of_pages}),
-          'waeup.sirp', target_language=portal_language)
+          'waeup.kofa', target_language=portal_language)
       story.append(Paragraph(right_text, style["Right"]))
       frame_footer.addFromList(story,pdf)
@@ -256,5 +256,5 @@
         pdf.setAuthor('%s (%s)' % (view.request.principal.title,
             view.request.principal.id))
-        pdf.setCreator('WAeUP SIRP')
+        pdf.setCreator('WAeUP KOFA')
         width, height = A4
         footer_text = view.label
@@ -275,9 +275,9 @@
         frame_body = Frame(1*cm,1*cm,width-(2*cm),height-(3.5*cm))
         story.append(Paragraph(view.label, style["Heading2"]))
-        portal_language = getUtility(ISIRPUtils).PORTAL_LANGUAGE
+        portal_language = getUtility(IKOFAUtils).PORTAL_LANGUAGE
         if student is not None:
             #story.append(Spacer(1, 12))
             bd_translation = translate(_('Base Data'),
-                'waeup.sirp', target_language=portal_language)
+                'waeup.kofa', target_language=portal_language)
             story.append(Paragraph(bd_translation, style["Heading3"]))
             studenttable = render_student_data(studentview)
@@ -288,8 +288,8 @@
         set_up_widgets(view)
         data = []
-        portal_language = getUtility(ISIRPUtils).PORTAL_LANGUAGE
+        portal_language = getUtility(IKOFAUtils).PORTAL_LANGUAGE
         for widget in view.widgets:
             f_label = '<font size=12>%s</font>:' % translate(
-                widget.label.strip(), 'waeup.sirp',
+                widget.label.strip(), 'waeup.kofa',
                 target_language=portal_language)
             f_label = Paragraph(f_label, style["Normal"])
@@ -302,6 +302,6 @@
         # Import browser components locally
         # to avoid circular import
-        from waeup.sirp.students.viewlets import FileManager
-        from waeup.sirp.browser import DEFAULT_IMAGE_PATH
+        from waeup.kofa.students.viewlets import FileManager
+        from waeup.kofa.browser import DEFAULT_IMAGE_PATH
         data = []
         # Collect viewlets
@@ -309,5 +309,5 @@
         fm.update()
         if fm.viewlets:
-            sc_translation = translate(_('Scanned Documents'), 'waeup.sirp',
+            sc_translation = translate(_('Scanned Documents'), 'waeup.kofa',
                 target_language=portal_language)
             story.append(Paragraph(sc_translation, style["Heading3"]))
@@ -315,5 +315,5 @@
             for viewlet in fm.viewlets:
                 f_label = formatted_label(size=12) % translate(
-                viewlet.label, 'waeup.sirp',
+                viewlet.label, 'waeup.kofa',
                 target_language=portal_language)
                 f_label = Paragraph(f_label, style["Normal"])
Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/viewlets.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/viewlets.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/viewlets.py	(revision 7811)
@@ -21,15 +21,15 @@
 from zope.interface import Interface
 from zope.i18n import translate
-from waeup.sirp.interfaces import (
-    ISIRPObject, IExtFileStore, IFileStoreNameChooser, ISIRPUtils)
-from waeup.sirp.interfaces import MessageFactory as _
-from waeup.sirp.utils.helpers import string_from_bytes, file_size
-from waeup.sirp.browser import DEFAULT_IMAGE_PATH
-from waeup.sirp.browser.viewlets import (
+from waeup.kofa.interfaces import (
+    IKOFAObject, IExtFileStore, IFileStoreNameChooser, IKOFAUtils)
+from waeup.kofa.interfaces import MessageFactory as _
+from waeup.kofa.utils.helpers import string_from_bytes, file_size
+from waeup.kofa.browser import DEFAULT_IMAGE_PATH
+from waeup.kofa.browser.viewlets import (
     PrimaryNavTab, ManageActionButton, AddActionButton)
-from waeup.sirp.browser.layout import default_primary_nav_template
-from waeup.sirp.students.workflow import (ADMITTED, PAID,
+from waeup.kofa.browser.layout import default_primary_nav_template
+from waeup.kofa.students.workflow import (ADMITTED, PAID,
     CLEARANCE, REQUESTED, RETURNING, CLEARED, REGISTERED, VALIDATED)
-from waeup.sirp.students.browser import (
+from waeup.kofa.students.browser import (
     StudentClearanceManageFormPage,
     write_log_message, StudentBaseManageFormPage,
@@ -40,5 +40,5 @@
     CourseTicketDisplayFormPage, OnlinePaymentDisplayFormPage,
     AccommodationManageFormPage, BedTicketDisplayFormPage,)
-from waeup.sirp.students.interfaces import (
+from waeup.kofa.students.interfaces import (
     IStudentsContainer, IStudent, IStudentClearance,
     IStudentStudyCourse, IStudentAccommodation, IStudentStudyLevel,
@@ -46,7 +46,7 @@
     )
 
-from waeup.sirp.interfaces import MessageFactory as _
-
-grok.context(ISIRPObject) # Make ISIRPObject the default context
+from waeup.kofa.interfaces import MessageFactory as _
+
+grok.context(IKOFAObject) # Make IKOFAObject the default context
 grok.templatedir('browser_templates')
 
@@ -63,5 +63,5 @@
     grok.baseclass()
     grok.viewletmanager(StudentManageSidebar)
-    grok.context(ISIRPObject)
+    grok.context(IKOFAObject)
     grok.view(Interface)
     grok.order(5)
@@ -73,7 +73,7 @@
     def render(self):
         url = self.view.url(self.context.getStudent(), self.link)
-        portal_language = getUtility(ISIRPUtils).PORTAL_LANGUAGE
-        lang = self.request.cookies.get('sirp.language', portal_language)
-        text = translate(self.text, 'waeup.sirp',
+        portal_language = getUtility(IKOFAUtils).PORTAL_LANGUAGE
+        lang = self.request.cookies.get('kofa.language', portal_language)
+        text = translate(self.text, 'waeup.kofa',
             target_language=lang)
         return u'<li><a href="%s">%s</a></li>' % (
@@ -465,5 +465,5 @@
     """
 
-    grok.context(ISIRPObject)
+    grok.context(IKOFAObject)
     grok.order(4)
     grok.require('waeup.viewStudentsTab')
